{% load static %}

<head>
  <title>Imagenes del Proyecto</title>

  {% include 'sub_templates/base.html' %}
  {{'caja_negra/casos_prueba.scss'|css_compiler|safe}}

  <script type="text/javascript">
    function action_test_selected(data){
      window.location.href = 'http://'+window.location.host+'/{{project_id}}/caja_negra/casos_prueba/'+data;
    }

    function change_new_type(){
      let selected = $('#new-step-modal-form .step-type select').val()
      let inputs = $('#new-step-modal-form .container .data').children()

      for (var i = 0; i < inputs.length; i++) {
        elem = $(inputs[i])
        if (elem.hasClass(selected)) {
          elem.show()
          elem.children().children().removeAttr('disabled');
        }
        else{
          elem.hide()
          elem.children().children().attr('disabled', true);
        }
      }
    }
  </script>
</head>

<body>
  {% include 'sub_templates/left_nav_bar.html' %}

  <div class="back-button">
    <a href="/{{project_id}}/caja_negra">{{'arrow-left-solid.svg'|svgColor:'var(--secondary)'|safe}}</a>
  </div>
  <div class="content">
    <div class="header">
      <div class="title">
        {{title}}
      </div>
      <button class="btn btn-outline-info save" name="save"> Guardar </button>
      <button class="btn btn-info execute" data-toggle="modal" data-target="#execute-message"> Ejecutar </button>
    </div>
    <div class="test-case-steps">
      {% for step in steps %}
      <div class="step">
        <div class="title">
          <span class="centerY">Paso {{step.order}}: {{step.type}}</span>
        </div>
        <div class="item">
          {% if step.type == 'Hacer Clic' %}
          <img class="center" src="{{ step.item.href }}">
          <div class="selected-image-clickzone" draggable="true">
            {{'mouse-pointer-solid.svg'|svgColor:'#ff0000b0'|safe}}
          </div>
          {% elif step.type == 'Combinación de Teclas' %}
          <label class="keys-combination center">
            {{ step.item.buttons }}
          </label>
          {% elif step.type == 'Escribir' %}
          <label class="write center">
            {{ step.item.text }}
          </label>
          {% endif %}
        </div>
        <textarea class="description" placeholder="Añadir una descripcion a este paso" value="{{step.description}}"></textarea>
      </div>
      {% endfor %}
      <div class="new-step" data-toggle="modal" data-target="#new-step-modal">
        <div class="plus center">
          {{'plus-solid.svg'|svgColor:'var(--gray)'|safe}}
        </div>
      </div>
    </div>
  </div>

  <!-- Modal mensaje ejecutar -->
  <div class="modal fade" id="execute-message" tabindex="-1" role="dialog" aria-labelledby="execute-message-title" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="execute-message-title">Ejecutar caso de prueba</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="container">
            <div class="row form-group">
              <label class="col-sm-11 col-form-label centerX">Para ejecutar un caso de prueba, es necesario generar un archivo externo que deberá ser ejecutado localmente en el pc del usuario que desee hacer la prueba.<br><br> Esto es debido a que la prueba utilizará el mouse y teclado del computador, por lo que será necesario que éstos no se utilcen durante la ejecucion.</label>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-primary" form="new-test-form">Generar</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal agregar un paso -->
  <div class="modal fade" id="new-step-modal" tabindex="-1" role="dialog" aria-labelledby="new-step-modal-title" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="new-step-modal-title">Crear un paso</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form class="modal-body" id="new-step-modal-form" method="POST" action="/caja_negra/casos_prueba">
          {% csrf_token %}
          <div class="container">
            <div class="row form-group step-type">
              <label class="col-sm-3 col-form-label">Tipo de paso</label>
              <div class="col-sm-9">
                <select name="type_step" class="custom-select" onchange="change_new_type();">
                  <option value="keys-combination-input">Combinación de Teclas</option>
                  <option value="selected-image-input">Hacer Click</option>
                  <option value="write-input">Escribir</option>
                </select>
              </div>
            </div>
            <div class="data col-sm-11 centerX">
              <div class="row form-group keys-combination-input">
                <div class="col">
                  <select name="key_1" class="custom-select">
                    <option value="">Tecla 1</option>
                    <option value="ctrl">CTRL</option>
                    <option value="alt">ALT</option>
                    <option value="shift">SHIFT</option>
                    <option value="tab">TABULAR</option>
                    <option value="esc">ESCAPE</option>
                    <option value="space">ESPACIO</option>
                    <option value="enter">ENTER</option>
                    <option value="letra">Letra</option>
                  </select>
                  <select name="key_2" class="custom-select">
                    <option value="">Tecla 2</option>
                    <option value="ctrl">CTRL</option>
                    <option value="alt">ALT</option>
                    <option value="shift">SHIFT</option>
                    <option value="tab">TABULAR</option>
                    <option value="esc">ESCAPE</option>
                    <option value="space">ESPACIO</option>
                    <option value="enter">ENTER</option>
                    <option value="letra">Letra</option>
                  </select>
                  <select name="key_3" class="custom-select">
                    <option value="">Tecla 3</option>
                    <option value="ctrl">CTRL</option>
                    <option value="alt">ALT</option>
                    <option value="shift">SHIFT</option>
                    <option value="tab">TABULAR</option>
                    <option value="esc">ESCAPE</option>
                    <option value="space">ESPACIO</option>
                    <option value="enter">ENTER</option>
                    <option value="letra">Letra</option>
                  </select>
                  <select name="key_4" class="custom-select">
                    <option value="">Tecla 4</option>
                    <option value="ctrl">CTRL</option>
                    <option value="alt">ALT</option>
                    <option value="shift">SHIFT</option>
                    <option value="tab">TABULAR</option>
                    <option value="esc">ESCAPE</option>
                    <option value="space">ESPACIO</option>
                    <option value="enter">ENTER</option>
                    <option value="letra">Letra</option>
                  </select>
                </div>
              </div>
              <div class="row form-group selected-image-input" style="display: none;">
                <div class="col">
                  <select name="selected_image" class="custom-select" disabled="disabled">
                    <option value="">Seleccionar imagen</option>
                    <option value="1">Boton agregar imagen</option>
                    <option value="2">Boton iniciar sesion</option>
                  </select>
                </div>
              </div>
              <div class="row form-group write-input" style="display: none;">
                <div class="col">
                  <input type="text" name="name" class="form-control" placeholder="Ej: ExampleUsername" disabled="disabled">
                </div>
              </div>
            </div>
          </div>
        </form>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-primary" form="new-step-modal-form">Añadir</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal agregar caso de prueba -->
  <div class="modal fade" id="new-test" tabindex="-1" role="dialog" aria-labelledby="new-test-title" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="new-test-title">Crear un nuevo caso de prueba</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form class="modal-body" id="new-test-form" method="POST" action="/caja_negra/casos_prueba">
          {% csrf_token %}
          <div class="container">
            <div class="row form-group">
              <label class="col-sm-2 col-form-label">Titulo</label>
              <div class="col-sm-10">
                <input type="text" name="name" class="form-control" id="staticEmail" placeholder="Ej: Iniciar Sesion" required>
              </div>
            </div>
            <div class="row form-group">
              <label class="col-sm-2 col-form-label">Seccion</label>
              <div class="col-sm-10">
                <select name="section" class="custom-select" required>
                  <option value="" selected>Seleccionar una seccion</option>
                  <option value="1">One</option>
                  <option value="2">Two</option>
                  <option value="3">Three</option>
                </select>
              </div>
            </div>
          </div>
        </form>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-primary" form="new-test-form">Añadir</button>
        </div>
      </div>
    </div>
  </div>
</body>